> ## Documentation Index
> Fetch the complete documentation index at: https://developer.novacpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate a transfer



## OpenAPI

````yaml post /api/v1/transfers
openapi: 3.0.1
info:
  title: NOVAC API
  version: v1
servers:
  - url: https://api.novacpayment.com/
security:
  - Bearer: []
paths:
  /api/v1/transfers:
    post:
      tags:
        - Payout
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransferRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/TransferRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/TransferRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InitiateTransferSuccessResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InitiateTransferFailureResponse'
components:
  schemas:
    TransferRequest:
      required:
        - accountNumber
        - amount
        - bankCode
        - currency
        - narration
        - reference
      type: object
      properties:
        currency:
          minLength: 1
          type: string
        amount:
          type: number
          format: double
        bankCode:
          minLength: 1
          type: string
        bankName:
          type: string
          nullable: true
        accountNumber:
          minLength: 1
          type: string
        accountName:
          type: string
          nullable: true
        narration:
          minLength: 1
          type: string
        reference:
          maxLength: 50
          minLength: 10
          type: string
        metaData:
          type: string
          nullable: true
      additionalProperties: false
    InitiateTransferSuccessResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
          nullable: true
        data:
          nullable: true
      additionalProperties: false
      example:
        success: true
        message: Transfer successfully logged and Processing
        data:
          id: '0'
          reference: string
          currency: NGN
          amount: 0
          fee: 0
          bankCode: string
          bankName: string
          accountNumber: string
          accountName: string
          narration: string
          domain: test | live
          status: pending
          providerResponseMessage: Transaction successful
          updatedAt: string
          createdAt: string
    InitiateTransferFailureResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
          nullable: true
        data:
          nullable: true
      additionalProperties: false
      example:
        success: false
        message: Transaction Amount must be greater than 0
        data: string
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Input your Bearer token in this format - Bearer {your token here} to
        access this API
      name: Authorization
      in: header

````